import { BedrockApi } from './bedrock-api';

/**
 * Additional arguments specific to DeepSeek models
 */
export type DeepSeekAdditionalArgs = object;

/**
 * API client for DeepSeek models on AWS Bedrock
 * Extends the base BedrockApi with DeepSeek-specific functionality
 */
export class DeepSeekApi extends BedrockApi<DeepSeekAdditionalArgs> {
}