import { BedrockApi } from './bedrock-api';

/**
 * Additional arguments specific to Nova models
 */
export type NovaAdditionalArgs = object;

/**
 * API client for Amazon Nova models on AWS Bedrock
 * Extends the base BedrockApi with Nova-specific functionality
 */
export class NovaApi extends BedrockApi<NovaAdditionalArgs> {
}